Remove this ad

Lead

Dec 6 12 4:11 PM

Tags : :

Hi

I'm using Linux Mint 14 nadia, with Cinammon, 64 bit

every now anad again aMule crashes, not when I do anything in particular
has done it regulalry since installed. Sometimes it runs for ages without a problem, other times quite quickly.

2012-12-06 14:46:04: Initialising aMule 2.3.1 compiled with wxGTK2 v2.8.12
2012-12-06 14:46:04: Checking if there is an instance already running...
2012-12-06 14:46:04: No other instances are running.
2012-12-06 14:46:05: ListenSocket: Ok.
.
.
.
(amule:3218): GLib-WARNING **: /build/buildd/glib2.0-2.34.0/./glib/giounix.c:412Error while getting flags for FD: Bad file descriptor (9)

*** glibc detected *** amule: double free or corruption (fasttop): 0x00007f7bd0000dc0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7f7bead74b96]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4554b)[0x7f7be9ae354b]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x45789)[0x7f7be9ae3789]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_source_remove+0x1e)[0x7f7be9ae4e0e]
/usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-2.8.so.0(_ZN32GSocketGUIFunctionsTableConcrete16Install_CallbackEP7GSocket12GSocketEvent+0xa6)[0x7f7bec4951c6]
/usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0(_ZN7GSocket5WriteEPKci+0xc2)[0x7f7bec091b92]
/usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0(_ZN12wxSocketBase6_WriteEPKvj+0xc1)[0x7f7bec08d7f1]
/usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0(_ZN12wxSocketBase5WriteEPKvj+0x1c)[0x7f7bec08d83c]
amule[0x58bb85]
amule[0x4a426f]
amule[0x4a302c]
amule[0x4850a4]
amule[0x4e29f4]
/usr/lib/x86_64-linux-gnu/libwx_baseu-2.8.so.0(_ZN16wxThreadInternal12PthreadStartEP8wxThread+0xdb)[0x7f7bebdfc9eb]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x7e9a)[0x7f7beb0bce9a]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7f7beade9cbd]
======= Memory map: ========
00400000-00798000 r-xp 00000000 08:16 440627 /usr/bin/amule
00997000-00998000 r--p 00397000 08:16 440627 /usr/bin/amule
00998000-009ed000 rw-p 00398000 08:16 440627 /usr/bin/amule
009ed000-00a02000 rw-p 00000000 00:00 0
01472000-033e6000 rw-p 00000000 00:00 0 [heap]
7f7bd0000000-7f7bd0021000 rw-p 00000000 00:00 0
7f7bd0021000-7f7bd4000000 ---p 00000000 00:00 0
7f7bd4000000-7f7bd4035000 rw-p 00000000 00:00 0
7f7bd4035000-7f7bd8000000 ---p 00000000 00:00 0
7f7bdbdfa000-7f7bdbdfe000 r-xp 00000000 08:16 7073 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
7f7bdbdfe000-7f7bdbffe000 ---p 00004000 08:16 7073 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
7f7bdbffe000-7f7bdbfff000 r--p 00004000 08:16 7073 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
7f7bdbfff000-7f7bdc000000 rw-p 00005000 08:16 7073 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
7f7bdc000000-7f7bdc021000 rw-p 00000000 00:00 0
7f7bdc021000-7f7be0000000 ---p 00000000 00:00 0
7f7be01cb000-7f7be0270000 r--p 00000000 08:16 265724 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
7f7be0270000-7f7be0271000 ---p 00000000 00:00 0
7f7be0271000-7f7be0a71000 rw-p 00000000 00:00 0 [stack:3233]
7f7be0a71000-7f7be0a72000 ---p 00000000 00:00 0
7f7be0a72000-7f7be1272000 rw-p 00000000 00:00 0
7f7be1272000-7f7be1273000 ---p 00000000 00:00 0
7f7be1273000-7f7be1a73000 rw-p 00000000 00:00 0 [stack:3230]
7f7be1a73000-7f7be1b23000 r--p 00000000 08:16 265728 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
7f7be1b23000-7f7be1b25000 r-xp 00000000 08:16 7739 /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so
7f7be1b25000-7f7be1d24000 ---p 00002000 08:16 7739 /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so
7f7be1d24000-7f7be1d25000 r--p 00001000 08:16 7739 /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so
7f7be1d25000-7f7be1d26000 rw-p 00002000 08:16 7739 /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so
7f7be1d26000-7f7be1d2c000 r-xp 00000000 08:16 7082 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f7be1d2c000-7f7be1f2b000 ---p 00006000 08:16 7082 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f7be1f2b000-7f7be1f2c000 r--p 00005000 08:16 7082 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f7be1f2c000-7f7be1f2d000 rw-p 00006000 08:16 7082 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f7be1f2d000-7f7be1f34000 r-xp 00000000 08:16 4561 /lib/x86_64-linux-gnu/libnss_dns-2.15.so
7f7be1f34000-7f7be2133000 ---p 00007000 08:16 4561 /lib/x86_64-linux-gnu/libnss_dns-2.15.so
7f7be2133000-7f7be2134000 r--p 00006000 08:16 4561 /lib/x86_64-linux-gnu/libnss_dns-2.15.so
7f7be2134000-7f7be2135000 rw-p 00007000 08:16 4561 /lib/x86_64-linux-gnu/libnss_dns-2.15.so
7f7be2135000-7f7be2137000 r-xp 00000000 08:16 55 /lib/libnss_mdns4_minimal.so.2
7f7be2137000-7f7be2336000 ---p 00002000 08:16 55 /lib/libnss_mdns4_minimal.so.2
7f7be2336000-7f7be2337000 r--p 00001000 08:16 55 /lib/libnss_mdns4_minimal.so.2
7f7be2337000-7f7be2338000 rw-p 00002000 08:16 55 /lib/libnss_mdns4_minimal.so.2
7f7be2338000-7f7be2339000 ---p 00000000 00:00 0
7f7be2339000-7f7be2b39000 rw-p 00000000 00:00 0
7f7be2b39000-7f7be2b42000 r-xp 00000000 08:16 7486 /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so
7f7be2b42000-7f7be2d42000 ---p 00009000 08:16 7486 /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so
7f7be2d42000-7f7be2d43000 r--p 00009000 08:16 7486 /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so
7f7be2d43000-7f7be2d44000 rw-p 0000a000 08:16 7486 /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so
7f7be2d44000-7f7be2d73000 r-xp 00000000 08:16 7485 /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libmurrine.so
[1]+ Aborted amule



thanks
Quote    Reply   
Remove this ad
Remove this ad

#1 [url]

Dec 11 12 11:00 PM

Re: aMule 2.3.1 compiled with wxGTK2 v2.8.12 crashes

No idea what's wrong.
But since it appears to be inside wx sockets, you could try the SVN version with Boost Asio sockets and see if it works better.

Quote    Reply   

#2 [url]

Dec 12 12 7:34 AM

Re: aMule 2.3.1 compiled with wxGTK2 v2.8.12 crashes

ok thanks, will try and give that a go, do you suggest the vollstrecker one, or have I misunderstood?

Cheers

Quote    Reply   

#4 [url]

Dec 12 12 7:32 PM

Re: aMule 2.3.1 compiled with wxGTK2 v2.8.12 crashes

Also Ubuntu based 64 bit distros need libxcb installed!

See details in aMule wiki: wayback machine

Quote    Reply   
Remove this ad

#7 [url]

Dec 13 12 10:25 PM

Re: aMule 2.3.1 compiled with wxGTK2 v2.8.12 crashes

Ok...was reading it on old wiki page maybe....

Quote    Reply   
Remove this ad
Add Reply

Quick Reply

bbcode help